PushizoDocs
API reference

reverse-etl

reverse-etl — 9 operations (GET /v1/apps/{appId}/reverse-etl, POST /v1/apps/{appId}/reverse-etl, POST /v1/apps/{appId}/reverse-etl/test-connection, …). Generated from the OpenAPI 3.1.0 contract.

Base URL: https://api.pushizo.com · Tag: reverse-etl · Interactive docs (Scalar)

Operations

MethodPathOperation
GET/v1/apps/{appId}/reverse-etlImports from warehouses
POST/v1/apps/{appId}/reverse-etlCreate an import
POST/v1/apps/{appId}/reverse-etl/test-connectionTest the connection without saving
GET/v1/apps/{appId}/reverse-etl/{syncId}Import details
PATCH/v1/apps/{appId}/reverse-etl/{syncId}Update an import
DELETE/v1/apps/{appId}/reverse-etl/{syncId}Delete an import
POST/v1/apps/{appId}/reverse-etl/{syncId}/testTest the connection of a saved import
POST/v1/apps/{appId}/reverse-etl/{syncId}/runImport now
GET/v1/apps/{appId}/reverse-etl/{syncId}/runsImport history

Details

Imports from warehouses

GET/v1/apps/{appId}/reverse-etlTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

200 — Success.

Schema: ReverseEtlSyncList

FieldTypeRequiredDescription
dataarray<object>Yes
data[].idstringYes
data[].app_idstringYes
data[].namestringYes
data[].sourceenumYesValues: "snowflake", "bigquery", "postgres", "mysql", "s3", "google_sheets", "clickhouse", "sqlserver", "trino", "athena", "elasticsearch", "kafka", "pubsub"
data[].targetenumYesValues: "event", "user"
data[].configmap<string, any>Yes
data[].credentials_hintstringYes
data[].scheduleenumYesValues: "every_5_minutes", "hourly", "daily"
data[].enabledbooleanYes
data[].statusenumYesValues: "active", "paused", "failing"
data[].cursorstring | nullYes
data[].consecutive_failuresintegerYes
data[].last_errorstring | nullYes
data[].last_run_atstring | nullYes
data[].last_success_atstring | nullYes
data[].next_run_atstring | nullYes
data[].created_atstringYes
data[].updated_atstringYes

Example response:

{
  "data": [
    {
      "name": "Sipariş bildirimleri",
      "target": "event",
      "enabled": true,
      "status": "active",
      "id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
      "app_id": "app_01JD3W5Q7X9K2M4N6P8R0T1V3W",
      "source": "snowflake",
      "config": {
        "key": "örnek"
      },
      "credentials_hint": "örnek",
      "schedule": "every_5_minutes",
      "cursor": "eyJpZCI6Im1zZ18wMUpE…",
      "consecutive_failures": 1,
      "last_error": "örnek",
      "last_run_at": "örnek",
      "last_success_at": "örnek",
      "next_run_at": "örnek",
      "created_at": "örnek",
      "updated_at": "örnek"
    }
  ]
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X GET "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

Create an import

POST/v1/apps/{appId}/reverse-etlTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Request body (required)

Schema: ReverseEtlCreate

Type: ReverseEtlCreate

Example:

{
  "name": "Sipariş bildirimleri",
  "target": "event",
  "schedule": "every_5_minutes",
  "source": "snowflake",
  "config": {
    "account": "değer",
    "user": "değer",
    "database": "değer",
    "schema": "değer",
    "warehouse": "değer",
    "query": "ayse",
    "mapping": {
      "external_id_column": "değer",
      "event_name": "purchase"
    },
    "role": "değer"
  },
  "credentials": {
    "private_key": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "enabled": true
}

Responses

201 — Success.

Schema: ReverseEtlSync

FieldTypeRequiredDescription
idstringYes
app_idstringYes
namestringYes
sourceenumYesValues: "snowflake", "bigquery", "postgres", "mysql", "s3", "google_sheets", "clickhouse", "sqlserver", "trino", "athena", "elasticsearch", "kafka", "pubsub"
targetenumYesValues: "event", "user"
configmap<string, any>Yes
credentials_hintstringYes
scheduleenumYesValues: "every_5_minutes", "hourly", "daily"
enabledbooleanYes
statusenumYesValues: "active", "paused", "failing"
cursorstring | nullYes
consecutive_failuresintegerYes
last_errorstring | nullYes
last_run_atstring | nullYes
last_success_atstring | nullYes
next_run_atstring | nullYes
created_atstringYes
updated_atstringYes

Example response:

{
  "name": "Sipariş bildirimleri",
  "target": "event",
  "enabled": true,
  "status": "active",
  "id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "app_id": "app_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "source": "snowflake",
  "config": {
    "key": "örnek"
  },
  "credentials_hint": "örnek",
  "schedule": "every_5_minutes",
  "cursor": "eyJpZCI6Im1zZ18wMUpE…",
  "consecutive_failures": 1,
  "last_error": "örnek",
  "last_run_at": "örnek",
  "last_success_at": "örnek",
  "next_run_at": "örnek",
  "created_at": "örnek",
  "updated_at": "örnek"
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X POST "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Sipariş bildirimleri",
  "target": "event",
  "schedule": "every_5_minutes",
  "source": "snowflake",
  "config": {
    "account": "değer",
    "user": "değer",
    "database": "değer",
    "schema": "değer",
    "warehouse": "değer",
    "query": "ayse",
    "mapping": {
      "external_id_column": "değer",
      "event_name": "purchase"
    },
    "role": "değer"
  },
  "credentials": {
    "private_key": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "enabled": true
}'

Test the connection without saving

POST/v1/apps/{appId}/reverse-etl/test-connectionTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Request body (required)

Schema: ReverseEtlConnectionTest

Type: ReverseEtlConnectionTest

Example:

{
  "source": "snowflake",
  "config": {
    "account": "değer",
    "user": "değer",
    "database": "değer",
    "schema": "değer",
    "warehouse": "değer",
    "query": "ayse",
    "mapping": {
      "external_id_column": "değer",
      "event_name": "purchase"
    },
    "role": "değer"
  },
  "credentials": {
    "private_key": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Responses

200 — Success.

Schema: WarehouseConnectionResult

FieldTypeRequiredDescription
okbooleanYes
detailstring | nullYes
errorobject | nullYes

Example response:

{
  "ok": true,
  "detail": "örnek",
  "error": {
    "code": "örnek",
    "message": "Takip bağlantısı içeride"
  }
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X POST "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/test-connection" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "source": "snowflake",
  "config": {
    "account": "değer",
    "user": "değer",
    "database": "değer",
    "schema": "değer",
    "warehouse": "değer",
    "query": "ayse",
    "mapping": {
      "external_id_column": "değer",
      "event_name": "purchase"
    },
    "role": "değer"
  },
  "credentials": {
    "private_key": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}'

Import details

GET/v1/apps/{appId}/reverse-etl/{syncId}Try it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

200 — Success.

Schema: ReverseEtlSync

FieldTypeRequiredDescription
idstringYes
app_idstringYes
namestringYes
sourceenumYesValues: "snowflake", "bigquery", "postgres", "mysql", "s3", "google_sheets", "clickhouse", "sqlserver", "trino", "athena", "elasticsearch", "kafka", "pubsub"
targetenumYesValues: "event", "user"
configmap<string, any>Yes
credentials_hintstringYes
scheduleenumYesValues: "every_5_minutes", "hourly", "daily"
enabledbooleanYes
statusenumYesValues: "active", "paused", "failing"
cursorstring | nullYes
consecutive_failuresintegerYes
last_errorstring | nullYes
last_run_atstring | nullYes
last_success_atstring | nullYes
next_run_atstring | nullYes
created_atstringYes
updated_atstringYes

Example response:

{
  "name": "Sipariş bildirimleri",
  "target": "event",
  "enabled": true,
  "status": "active",
  "id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "app_id": "app_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "source": "snowflake",
  "config": {
    "key": "örnek"
  },
  "credentials_hint": "örnek",
  "schedule": "every_5_minutes",
  "cursor": "eyJpZCI6Im1zZ18wMUpE…",
  "consecutive_failures": 1,
  "last_error": "örnek",
  "last_run_at": "örnek",
  "last_success_at": "örnek",
  "next_run_at": "örnek",
  "created_at": "örnek",
  "updated_at": "örnek"
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X GET "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

Update an import

PATCH/v1/apps/{appId}/reverse-etl/{syncId}Try it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Request body (required)

Schema: UpdateReverseEtlDto

FieldTypeRequiredDescription
namestringNoLength: 1–100
scheduleenumNoValues: "every_5_minutes", "hourly", "daily"
enabledbooleanNo
configmap<string, any>No
credentialsmap<string, any>No

Example:

{
  "name": "Sipariş bildirimleri",
  "enabled": true,
  "schedule": "every_5_minutes",
  "config": {
    "key": "örnek"
  },
  "credentials": {
    "key": "örnek"
  }
}

Responses

200 — Success.

Schema: ReverseEtlSync

FieldTypeRequiredDescription
idstringYes
app_idstringYes
namestringYes
sourceenumYesValues: "snowflake", "bigquery", "postgres", "mysql", "s3", "google_sheets", "clickhouse", "sqlserver", "trino", "athena", "elasticsearch", "kafka", "pubsub"
targetenumYesValues: "event", "user"
configmap<string, any>Yes
credentials_hintstringYes
scheduleenumYesValues: "every_5_minutes", "hourly", "daily"
enabledbooleanYes
statusenumYesValues: "active", "paused", "failing"
cursorstring | nullYes
consecutive_failuresintegerYes
last_errorstring | nullYes
last_run_atstring | nullYes
last_success_atstring | nullYes
next_run_atstring | nullYes
created_atstringYes
updated_atstringYes

Example response:

{
  "name": "Sipariş bildirimleri",
  "target": "event",
  "enabled": true,
  "status": "active",
  "id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "app_id": "app_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "source": "snowflake",
  "config": {
    "key": "örnek"
  },
  "credentials_hint": "örnek",
  "schedule": "every_5_minutes",
  "cursor": "eyJpZCI6Im1zZ18wMUpE…",
  "consecutive_failures": 1,
  "last_error": "örnek",
  "last_run_at": "örnek",
  "last_success_at": "örnek",
  "next_run_at": "örnek",
  "created_at": "örnek",
  "updated_at": "örnek"
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X PATCH "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Sipariş bildirimleri",
  "enabled": true,
  "schedule": "every_5_minutes",
  "config": {
    "key": "örnek"
  },
  "credentials": {
    "key": "örnek"
  }
}'

Delete an import

DELETE/v1/apps/{appId}/reverse-etl/{syncId}Try it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

200 — Success.

Schema: Ok

FieldTypeRequiredDescription
oktrueYes

Example response:

{
  "ok": true
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X DELETE "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

Test the connection of a saved import

POST/v1/apps/{appId}/reverse-etl/{syncId}/testTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

200 — Success.

Schema: WarehouseConnectionResult

FieldTypeRequiredDescription
okbooleanYes
detailstring | nullYes
errorobject | nullYes

Example response:

{
  "ok": true,
  "detail": "örnek",
  "error": {
    "code": "örnek",
    "message": "Takip bağlantısı içeride"
  }
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X POST "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W/test" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

Import now

POST/v1/apps/{appId}/reverse-etl/{syncId}/runTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

202 — Success.

Schema: ReverseEtlRun

FieldTypeRequiredDescription
idstringYes
sync_idstringYes
triggerenumYesValues: "schedule", "manual"
statusenumYesValues: "queued", "running", "succeeded", "failed"
row_countintegerYes
attemptintegerYes
errorstring | nullYes
started_atstring | nullYes
finished_atstring | nullYes
duration_msinteger | nullYes
created_atstringYes

Example response:

{
  "status": "queued",
  "id": "run_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "sync_id": "run_01JD3W5Q7X9K2M4N6P8R0T1V3W",
  "trigger": "schedule",
  "row_count": 1,
  "attempt": 1,
  "error": "örnek",
  "started_at": "örnek",
  "finished_at": "örnek",
  "duration_ms": 1,
  "created_at": "örnek"
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X POST "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W/run" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

Import history

GET/v1/apps/{appId}/reverse-etl/{syncId}/runsTry it (interactive API docs, new tab)

Authentication: API key — scope admin (admin includes every scope).

Parameters

NameInTypeRequiredDescriptionExample
syncIdpathstringYes"id_01JD3W5Q7X9K2M4N6P8R0T1V3W"
limitqueryintegerNoDefault: 50; Range: 1–20050
cursorquerystringNoLength: 1–∞"eyJpZCI6Im1zZ18wMUpE…"
appIdpathstringYes"app_01JD3W5Q7X9K2M4N6P8R0T1V3W"

Responses

200 — Success.

Schema: ReverseEtlRunPage

FieldTypeRequiredDescription
dataarray<object>Yes
data[].idstringYes
data[].sync_idstringYes
data[].triggerenumYesValues: "schedule", "manual"
data[].statusenumYesValues: "queued", "running", "succeeded", "failed"
data[].row_countintegerYes
data[].attemptintegerYes
data[].errorstring | nullYes
data[].started_atstring | nullYes
data[].finished_atstring | nullYes
data[].duration_msinteger | nullYes
data[].created_atstringYes
next_cursorstring | nullYes
has_morebooleanYes

Example response:

{
  "data": [
    {
      "status": "queued",
      "id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
      "sync_id": "id_01JD3W5Q7X9K2M4N6P8R0T1V3W",
      "trigger": "schedule",
      "row_count": 1,
      "attempt": 1,
      "error": "örnek",
      "started_at": "örnek",
      "finished_at": "örnek",
      "duration_ms": 1,
      "created_at": "örnek"
    }
  ],
  "next_cursor": "eyJpZCI6Im1zZ18wMUpE…",
  "has_more": true
}

Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).

Examples

curl -X GET "https://api.pushizo.com/v1/apps/app_01JD3W5Q7X9K2M4N6P8R0T1V3W/reverse-etl/id_01JD3W5Q7X9K2M4N6P8R0T1V3W/runs?limit=50" \
  -H "Authorization: Bearer $PUSHIZO_API_KEY"

On this page